Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class Dispatcher

    java.lang.Object
      org.mortbay.jetty.servlet.Dispatcher

    public class Dispatcher

extends Object

Servlet RequestDispatcher.

Author:
  Greg Wilkins (gregw)

Field Summary
`static String` | `__FORWARD_CONTEXT_PATH`
`static String` | `__FORWARD_JETTY` Dispatch include attribute names
`static String` | `__FORWARD_PATH_INFO`
`static String` | `__FORWARD_PREFIX`
`static String` | `__FORWARD_QUERY_STRING`
`static String` | `__FORWARD_REQUEST_URI`
`static String` | `__FORWARD_SERVLET_PATH`
`static String` | `__INCLUDE_CONTEXT_PATH`
`static String` | `__INCLUDE_JETTY` Dispatch include attribute names
`static String` | `__INCLUDE_PATH_INFO`
`static String` | `__INCLUDE_PREFIX`
`static String` | `__INCLUDE_QUERY_STRING`
`static String` | `__INCLUDE_REQUEST_URI`
`static String` | `__INCLUDE_SERVLET_PATH`
`static String` | `__JSP_FILE` JSP attributes

Constructor Summary
`Dispatcher(ContextHandler contextHandler, String name)` Constructor.
`Dispatcher(ContextHandler contextHandler, String uri, String pathInContext, String query)`

Method Summary
`void` | `error(ServletRequest request, ServletResponse response)`
`void` | `forward(ServletRequest request, ServletResponse response)`
`protected void` | `forward(ServletRequest request, ServletResponse response, int dispatch)`
`void` | `include(ServletRequest request, ServletResponse response)`
`static int` | `type(String type)` Dispatch type from name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __INCLUDE_JETTY

    public static final String __INCLUDE_JETTY

  Dispatch include attribute names

  See Also:
    Constant Field Values

### __INCLUDE_PREFIX

    public static final String __INCLUDE_PREFIX

See Also:
  Constant Field Values

### __INCLUDE_REQUEST_URI

    public static final String __INCLUDE_REQUEST_URI

See Also:
  Constant Field Values

### __INCLUDE_CONTEXT_PATH

    public static final String __INCLUDE_CONTEXT_PATH

See Also:
  Constant Field Values

### __INCLUDE_SERVLET_PATH

    public static final String __INCLUDE_SERVLET_PATH

See Also:
  Constant Field Values

### __INCLUDE_PATH_INFO

    public static final String __INCLUDE_PATH_INFO

See Also:
  Constant Field Values

### __INCLUDE_QUERY_STRING

    public static final String __INCLUDE_QUERY_STRING

See Also:
  Constant Field Values

### __FORWARD_JETTY

    public static final String __FORWARD_JETTY

  Dispatch include attribute names

  See Also:
    Constant Field Values

### __FORWARD_PREFIX

    public static final String __FORWARD_PREFIX

See Also:
  Constant Field Values

### __FORWARD_REQUEST_URI

    public static final String __FORWARD_REQUEST_URI

See Also:
  Constant Field Values

### __FORWARD_CONTEXT_PATH

    public static final String __FORWARD_CONTEXT_PATH

See Also:
  Constant Field Values

### __FORWARD_SERVLET_PATH

    public static final String __FORWARD_SERVLET_PATH

See Also:
  Constant Field Values

### __FORWARD_PATH_INFO

    public static final String __FORWARD_PATH_INFO

See Also:
  Constant Field Values

### __FORWARD_QUERY_STRING

    public static final String __FORWARD_QUERY_STRING

See Also:
  Constant Field Values

### __JSP_FILE

    public static final String __JSP_FILE

  JSP attributes

  See Also:
    Constant Field Values

Constructor Detail

### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
                      String uri,
                      String pathInContext,
                      String query)

Parameters:
  `contextHandler` -
  `uriInContext` -
  `pathInContext` -
  `query` -

### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
                      String name)
               throws IllegalStateException

  Constructor.

  Parameters:
    `servletHandler` -
    `name` -
  Throws:
    `IllegalStateException`

Method Detail

### type

    public static int type(String type)

  Dispatch type from name

### forward

    public void forward(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

### error

    public void error(ServletRequest request,
                      ServletResponse response)
               throws ServletException,
                      IOException

  Throws:
    `ServletException`
    `IOException`

### include

    public void include(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

### forward

    protected void forward(ServletRequest request,
                           ServletResponse response,
                           int dispatch)
                    throws ServletException,
                           IOException

  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.